Loading...
Searching...
No Matches
pdftron::PDF::PDFA::PDFAOptions Class Reference

`#include <PDFAOptions.h>`

Inheritance diagram for pdftron::PDF::PDFA::PDFAOptions:

## Public Member Functions
| PDFAOptions (PDF::PDFA::PDFACompliance::Conformance level)
| ~PDFAOptions ()
PDF::PDFA::PDFACompliance::Conformance | GetConformance ()
PDFAOptions & | SetConformance (PDF::PDFA::PDFACompliance::Conformance value)
UInt32 | GetDPI ()
PDFAOptions & | SetDPI (UInt32 value)
bool | GetFirstStop ()
PDFAOptions & | SetFirstStop (bool value)
bool | GetFlattenTransparency ()
PDFAOptions & | SetFlattenTransparency (bool value)
UInt32 | GetMaxRefObjs ()
PDFAOptions & | SetMaxRefObjs (UInt32 value)
UString | GetPassword ()
PDFAOptions & | SetPassword (const UString &value)
Public Member Functions inherited from pdftron::PDF::OptionsBase
| OptionsBase ()

## Additional Inherited Members
Static Public Member Functions inherited from pdftron::PDF::OptionsBase
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 10 of file PDFAOptions.h.

## Constructor & Destructor Documentation

## ◆ PDFAOptions()

pdftron::PDF::PDFA::PDFAOptions::PDFAOptions | ( | PDF::PDFA::PDFACompliance::Conformance | level | ) |

Constructor.

Parameters

  level | The PDF/A conformance level.

## ◆ ~PDFAOptions()

pdftron::PDF::PDFA::PDFAOptions::~PDFAOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetConformance()

PDF::PDFA::PDFACompliance::Conformance pdftron::PDF::PDFA::PDFAOptions::GetConformance | ( |  | ) |

Gets the value Conformance from the options object The PDF/A conformance level.

Returns
  a PDFACompliance::Conformance, the current value for Conformance.

## ◆ GetDPI()

UInt32 pdftron::PDF::PDFA::PDFAOptions::GetDPI | ( |  | ) |

Gets the value DPI from the options object DPI used for flattening.

Returns
  a UInt32, the current value for DPI.

## ◆ GetFirstStop()

bool pdftron::PDF::PDFA::PDFAOptions::GetFirstStop | ( |  | ) |

Gets the value FirstStop from the options object Whether to stop processing after the first PDF/A error is detected.

Returns
  a bool, the current value for FirstStop.

## ◆ GetFlattenTransparency()

bool pdftron::PDF::PDFA::PDFAOptions::GetFlattenTransparency | ( |  | ) |

Gets the value FlattenTransparency from the options object Whether to flatten transparency in PDF/A-1 mode.

Returns
  a bool, the current value for FlattenTransparency.

## ◆ GetMaxRefObjs()

UInt32 pdftron::PDF::PDFA::PDFAOptions::GetMaxRefObjs | ( |  | ) |

Gets the value MaxRefObjs from the options object The maximum number of object references per error condition.

Returns
  a UInt32, the current value for MaxRefObjs.

## ◆ GetPassword()

UString pdftron::PDF::PDFA::PDFAOptions::GetPassword | ( |  | ) |

Gets the value Password from the options object The password to be used for encrypted PDF documents.

Returns
  a UString, the current value for Password.

## ◆ SetConformance()

PDFAOptions & pdftron::PDF::PDFA::PDFAOptions::SetConformance | ( | PDF::PDFA::PDFACompliance::Conformance | value | ) |

Sets the value for Conformance in the options object The PDF/A conformance level.

Parameters

  value | the new value for Conformance

Returns
  this object, for call chaining

## ◆ SetDPI()

PDFAOptions & pdftron::PDF::PDFA::PDFAOptions::SetDPI | ( | UInt32 | value | ) |

Sets the value for DPI in the options object DPI used for flattening.

Parameters

  value | the new value for DPI

Returns
  this object, for call chaining

## ◆ SetFirstStop()

PDFAOptions & pdftron::PDF::PDFA::PDFAOptions::SetFirstStop | ( | bool | value | ) |

Sets the value for FirstStop in the options object Whether to stop processing after the first PDF/A error is detected.

Parameters

  value | the new value for FirstStop

Returns
  this object, for call chaining

## ◆ SetFlattenTransparency()

PDFAOptions & pdftron::PDF::PDFA::PDFAOptions::SetFlattenTransparency | ( | bool | value | ) |

Sets the value for FlattenTransparency in the options object Whether to flatten transparency in PDF/A-1 mode.

Parameters

  value | the new value for FlattenTransparency

Returns
  this object, for call chaining

## ◆ SetMaxRefObjs()

PDFAOptions & pdftron::PDF::PDFA::PDFAOptions::SetMaxRefObjs | ( | UInt32 | value | ) |

Sets the value for MaxRefObjs in the options object The maximum number of object references per error condition.

Parameters

  value | the new value for MaxRefObjs

Returns
  this object, for call chaining

## ◆ SetPassword()

PDFAOptions & pdftron::PDF::PDFA::PDFAOptions::SetPassword | ( | const UString & | value | ) |

Sets the value for Password in the options object The password to be used for encrypted PDF documents.

Parameters

  value | the new value for Password

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/PDFA/PDFAOptions.h